Unable to Add WASCE 3.0 Runtime Environment/Server in Eclipse Juno

Technote (troubleshooting)


Problem(Abstract)

Adding the WASCE 3.0 Runtime Environment in Eclipse Juno fails

Symptom

When adding the WASCE 3.0 Runtime Environment into Eclipse Juno, there is a dialog with a title bar of "Server Error" and the following text is displayed: "org.eclipse.pde.internal.core.target.provisional.ITargetPlatformService".


Resolving the problem

To solve the problem described in the symptom, there are two different ways you might need to go:

1. If you've already installed the bad WASCE Eclipse Plugin (WEP) into your eclipse JEE IDE. Do the following:

  • Uninstall the bad WEP. This depends on how you installed the WEP:
- If WEP was installed via online update site or a local update site, then uninstall it by clicking through
"Help -> Install New Software...-> What is already installed -> WASCE v3.0 Server Adapter Assembly -> Uninstall...".

- If WEP was installed via the eclipse "dropins" folder or wizard of WASCE installer, just delete it from the eclipse "dropins" folder when eclipse exits.
  • Next, restart eclipse with "-clean" option to confirm the bad WEP uninstalled successfully.
  • Install the fixed, latest WEP from the online update site:
http://public.dhe.ibm.com/software/websphere/wasce/updates/

2. If you decide to use a fresh eclipse JEE IDE, go directly to the online update site and install the WEP from there. For more details about how to install WEP, refer to the WEP installation document:
http://publib.boulder.ibm.com/wasce/V3.0.0/en/installing-eclipse-plug-in.html

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

WebSphere Application Server Community Edition
Eclipse Plugin for WAS CE

Software version:

3.0, 3.0.0.1, 3.0.0.2

Operating system(s):

AIX, Linux, Solaris, Windows

Software edition:

Elite, Enhanced, Entry

Reference #:

1606184

Modified date:

2013-07-17

Translate my page

Machine Translation

Content navigation